apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: kyverno:background-controller-generate-extra
rules:
  - apiGroups: [""]
    resources: ["services"]
    verbs: ["create", "update", "delete", "get", "list", "watch"]
  - apiGroups: ["networking.istio.io"]
    resources: ["virtualservices"]
    verbs: ["create", "update", "delete", "get", "list", "watch"]
  - apiGroups: ["security.istio.io"]
    resources: ["authorizationpolicies"]
    verbs: ["create", "update", "delete", "get", "list", "watch"]
  - apiGroups: ["kubeflow.org"]
    resources: ["notebooks", "notebooks/status", "notebooks/finalizers"]
    verbs: ["create", "update", "delete", "get", "list", "watch"]